Bug 192735 - [New port] devel/p5-Connector 1.09
Summary: [New port] devel/p5-Connector 1.09
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 192725 192727
Blocks: 193019
  Show dependency treegraph
 
Reported: 2014-08-17 08:29 UTC by Sergei Vyshenski
Modified: 2014-09-06 14:18 UTC (History)
2 users (show)

See Also:


Attachments
shar archive with new port (4.61 KB, text/plain)
2014-08-17 08:29 UTC, Sergei Vyshenski
no flags Details
log from poudriere (26.52 KB, text/plain)
2014-08-17 08:29 UTC, Sergei Vyshenski
no flags Details
shar archive with new port (4.64 KB, text/plain)
2014-08-18 20:17 UTC, Sergei Vyshenski
no flags Details
shar with new port (4.64 KB, text/plain)
2014-08-25 19:29 UTC, Sergei Vyshenski
no flags Details
log from poudriere (27.12 KB, text/plain)
2014-08-25 19:29 UTC, Sergei Vyshenski
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2014-08-17 08:29:11 UTC
Created attachment 145904 [details]
shar archive with new port

A generic connection to a hierarchical-structured data set.

Depends on PRs: 192725 192727

Tested on FreeBSD-10.0-amd64 (log attached) with:
poudriere testport -j 10-amd64 -o devel/p5-Connector > p5-Connector.log
Comment 1 Sergei Vyshenski 2014-08-17 08:29:33 UTC
Created attachment 145905 [details]
log from poudriere
Comment 2 John Marino freebsd_committer 2014-08-17 11:16:26 UTC
assign new perl port to perl@ group
Comment 3 Sergei Vyshenski 2014-08-18 20:17:33 UTC
Created attachment 146007 [details]
shar archive with new port

Follow advice of culot@ and revert to conservative Anzatz:

RUN_DEPENDS:=	BUILD_DEPENDS

which is considered a standard for perl ports.
Thank you Frederic.
Comment 4 Sergei Vyshenski 2014-08-25 19:29:16 UTC
Created attachment 146263 [details]
shar with new port

Fixing a typo in Makefile.
Uploading a new shar and 
a new log from poudriere.
Comment 5 Sergei Vyshenski 2014-08-25 19:29:43 UTC
Created attachment 146264 [details]
log from poudriere
Comment 6 commit-hook freebsd_committer 2014-09-06 14:17:43 UTC
A commit references this bug:

Author: pi
Date: Sat Sep  6 14:17:01 UTC 2014
New revision: 367439
URL: http://svnweb.freebsd.org/changeset/ports/367439

Log:
  New port: devel/p5-Connector

  The Connector provides a generic connection to a data set, typically
  configuration data in a hierarchical structure. Each connector
  object accepts the get(KEY) method, which, when given a key, returns
  the associated value from the connector's data source. Typically,
  a connector acts as a proxy to a simple data source like YAML,
  Config::Std, Config::Versioned, or to a more complex data source
  like an LDAP server or Proc::SafeExec. The standard calling convention
  via get(KEY) makes the connectors interchangeable.

  WWW: http://search.cpan.org/dist/Connector/

  PR:		192735
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com>

Changes:
  head/devel/Makefile
  head/devel/p5-Connector/
  head/devel/p5-Connector/Makefile
  head/devel/p5-Connector/distinfo
  head/devel/p5-Connector/pkg-descr
  head/devel/p5-Connector/pkg-plist
Comment 7 Kurt Jaeger freebsd_committer 2014-09-06 14:18:08 UTC
Committed, thanks.